commit 04bd91684ed41d67ae0f10cde0660e4ed74ac203
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 3 22:32:31 2025 +0200

    poppler 25.06.0

 CMakeLists.txt      |  6 +++---
 NEWS                | 15 ++++++++++++++-
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 6 files changed, 21 insertions(+), 8 deletions(-)

commit 41055cc8467f722fc3783d0bf1ef34de353173b1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 3 22:26:08 2025 +0200

    Update (C)

 poppler/Function.h | 1 +
 poppler/GfxState.h | 1 +
 utils/pdfsig.cc    | 2 +-
 3 files changed, 3 insertions(+), 1 deletion(-)

commit ac36affcc8486de38e8905a8d6547a3464ff46e5
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jun 3 00:35:19 2025 +0200

    Limit ammount of annots per document/page

 poppler/Annot.cc |  4 ++++
 poppler/Page.cc  | 16 ++++++++++++++++
 2 files changed, 20 insertions(+)

commit 1de038a7b32f497d93e5ffa460bc4b798b7d3674
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 1 23:01:20 2025 +0200

    po: Update line numbers

 utils/po/ca/pdfsig.po | 6 +++---
 utils/po/pdfsig.pot   | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit daac6989e77d091032acc0236da9dbcabbe07576
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Feb 20 15:30:38 2025 +0100

    More unique_ptr in function and color spaces

    Less malloc/free and similar manual memory handlings

 poppler/Function.cc        |  46 ++++------
 poppler/Function.h         |  51 +++++++----
 poppler/Gfx.cc             |  28 +++---
 poppler/GfxState.cc        | 215
 ++++++++++++++++-----------------------------
 poppler/GfxState.h         |  48 +++++-----
 poppler/PSOutputDev.cc     |  17 ++--
 poppler/SplashOutputDev.cc |   7 +-
 7 files changed, 176 insertions(+), 236 deletions(-)

commit 58cebf7f5bdfe4c6c03bfa574cf7e39b7a6d6b75
Author: Markus Kurtz <m@mgkurtz.de>
Date:   Wed Nov 6 13:57:04 2024 +0100

    Add regression tests for `pdfinfo`

 regtest/backends/info.py | 53
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit 2c29a95bbf726314efc617a45273796f884f566f
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Sun May 18 20:45:04 2025 +0200

    pdfsig: assert-signer and error code on error

    Let pdfsig error out on signature validation failure.

    Also add a feature to be 'tighter' in only asking to validate using a
    specific set of certificate fingerprints.
    This feature only works for the GnuPG backend, and is modelled after
    gpg's --assert-signer flag.

 utils/pdfsig.1  |   3 ++
 utils/pdfsig.cc | 141
 ++++++++++++++++++++++++++++++++++++++++++++------------
 2 files changed, 115 insertions(+), 29 deletions(-)

commit ed32cb8c7756250a162d340ca5cb403644e07bd0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 1 18:20:54 2025 +0200

    Update (C)

 glib/poppler-annot.h             | 1 +
 glib/poppler-attachment.h        | 1 +
 glib/poppler-document.h          | 1 +
 glib/poppler-form-field.h        | 1 +
 glib/poppler-layer.h             | 1 +
 glib/poppler-media.h             | 1 +
 glib/poppler-movie.h             | 1 +
 glib/poppler-page.h              | 1 +
 glib/poppler-structure-element.h | 1 +
 9 files changed, 9 insertions(+)

commit 74009dd18ff48c9f3a317b8f55e2d6b72ee5a9d9
Author: Marco Trevisan <mail@3v1n0.net>
Date:   Sun Jun 1 10:05:29 2025 +0000

    glib: Add missing autopointers definitions

 glib/poppler-annot.h             | 109
 ++++++++++++++++++++++++++++++++++-----
 glib/poppler-attachment.h        |   4 ++
 glib/poppler-document.h          |   9 ++++
 glib/poppler-form-field.h        |   9 ++++
 glib/poppler-layer.h             |  10 ++++
 glib/poppler-media.h             |   2 +
 glib/poppler-movie.h             |  10 ++++
 glib/poppler-page.h              |   9 ++++
 glib/poppler-structure-element.h |   9 ++++
 9 files changed, 159 insertions(+), 12 deletions(-)

commit d72ff002d2bd43399b6fdb2d69167a7f76dd671f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 1 11:43:28 2025 +0200

    CI: Ubuntu use ftp since http is giving us 403 errors

 .gitlab-ci.yml | 2 ++
 1 file changed, 2 insertions(+)

commit ff86cb1a7f830728f47aae942b7ce0c2e0a14563
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 29 22:45:05 2025 +0200

    Update (C)

 glib/poppler-page.cc                 | 1 +
 poppler/CairoOutputDev.h             | 1 +
 poppler/FontInfo.cc                  | 1 +
 poppler/Link.h                       | 1 +
 qt5/src/poppler-annotation-private.h | 2 +-
 qt6/src/poppler-annotation-private.h | 2 +-
 utils/pdfdetach.cc                   | 2 +-
 7 files changed, 7 insertions(+), 3 deletions(-)

commit 3449a16d3b1389870eb3e20795e802c6ae8bc04f
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Apr 2 16:19:28 2025 +0200

    Annot: Do refcount with shared_ptr

    Manage annots by shared_ptr rather than the manual ref/deref usage.

    Also do a bit more documentation of ownerships with unique ptr's

 glib/poppler-annot.cc                | 180 +++++++---------
 glib/poppler-page.cc                 |   8 +-
 glib/poppler-private.h               |  26 +--
 poppler/Annot.cc                     | 143 +++++-------
 poppler/Annot.h                      |  34 ++-
 poppler/CairoOutputDev.cc            |   7 +-
 poppler/CairoOutputDev.h             |   2 +-
 poppler/FontInfo.cc                  |   2 +-
 poppler/Form.cc                      |  11 +-
 poppler/Form.h                       |   6 +-
 poppler/JSInfo.cc                    |   8 +-
 poppler/Link.cc                      |  14 +-
 poppler/Link.h                       |   4 +-
 poppler/PDFDoc.cc                    |   2 +-
 poppler/PDFDoc.h                     |   2 +-
 poppler/PSOutputDev.cc               |   2 +-
 poppler/Page.cc                      |  35 ++-
 poppler/Page.h                       |   8 +-
 qt5/src/poppler-annotation-private.h |  10 +-
 qt5/src/poppler-annotation.cc        | 392
 ++++++++++++++++-----------------
 qt5/src/poppler-form.cc              |   4 +-
 qt6/src/poppler-annotation-private.h |  10 +-
 qt6/src/poppler-annotation.cc        | 408
 ++++++++++++++++-------------------
 qt6/src/poppler-form.cc              |   4 +-
 utils/HtmlOutputDev.cc               |   4 +-
 utils/pdfdetach.cc                   |   4 +-
 utils/pdfinfo.cc                     |   2 +-
 27 files changed, 602 insertions(+), 730 deletions(-)

commit fc46ab6372f933285b3d2ffd817614064cc1e5e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 28 15:07:16 2025 +0200

    Update (C)

 glib/demo/annots.c              | 1 +
 glib/poppler-annot.cc           | 4 +++-
 glib/poppler-annot.h            | 1 +
 glib/poppler-page.cc            | 1 +
 glib/poppler.h                  | 1 +
 poppler/DateInfo.cc             | 2 +-
 qt5/demos/navigationtoolbar.cpp | 1 +
 qt5/src/poppler-ps-converter.cc | 1 +
 qt6/demos/navigationtoolbar.cpp | 1 +
 qt6/src/poppler-ps-converter.cc | 1 +
 10 files changed, 12 insertions(+), 2 deletions(-)

commit e6e91c624402a7058d22fb4151b428adc6a8c3a7
Author: Lucas Baudin <lucas.baudin@ensae.fr>
Date:   Fri Jan 17 20:45:26 2025 +0100

    glib: add the ink annotation type

 glib/demo/annots.c     |  86 ++++++++++++++++--
 glib/poppler-annot.cc  | 241
 +++++++++++++++++++++++++++++++++++++++++++++++++
 glib/poppler-annot.h   |  26 ++++++
 glib/poppler-page.cc   |  36 +++++++-
 glib/poppler-private.h |   9 ++
 glib/poppler.h         |   2 +
 6 files changed, 390 insertions(+), 10 deletions(-)

commit 55169105e121d5fbb7c50e2c744d750de5d0a7de
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Mon May 26 09:48:02 2025 -0600

    DateInfo: Fix timeToStringWithFormat buffer length

    strftime places a NULL-terminated string in the buffer, so the
    std::string buffer needs to be resized to not include the
    terminator character (or anything after it).

 poppler/DateInfo.cc | 1 +
 1 file changed, 1 insertion(+)

commit 77e05d56f880c6d9b354a9758031c0177ecbbf2f
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu May 22 14:22:35 2025 +0200

    Use obj.isName(const char*) to check a name rather than copy it out

 poppler/Annot.cc | 87
 +++++++++++++++++++++++++-------------------------------
 1 file changed, 39 insertions(+), 48 deletions(-)

commit 4a96a0c6cd8e2ff7e34fc3cc68803b1329f80ce7
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri May 2 14:13:40 2025 +0200

    introduce object::getNameString and apply it

    In many cases, we take a object name char pointer and stuff it
    directly
    into a Goo or std::string. Let that conversion happen in Object
    instead
    of every location it is used.
    This helps reduce the usage of the char pointer constructor in
    GooString
    that is one of the slightly surprising things of GooString, to help
    being able to kill it off at some point.

    Also, Icon's are simple strings and can just as well be std::string,
    and
    the same for text encoding

 glib/poppler-annot.cc         | 47 ++++++++++-------------
 poppler/Annot.cc              | 88
 +++++++++++++++++++++----------------------
 poppler/Annot.h               | 12 +++---
 poppler/FileSpec.cc           |  2 +-
 poppler/Function.cc           |  2 +-
 poppler/GfxState.cc           |  2 +-
 poppler/GlobalParams.cc       | 12 +++---
 poppler/GlobalParams.h        |  6 +--
 poppler/Link.cc               |  8 ++--
 poppler/Object.h              |  5 +++
 poppler/PDFDoc.cc             |  4 +-
 qt5/src/poppler-annotation.cc | 12 ++----
 qt6/src/poppler-annotation.cc | 15 +++-----
 13 files changed, 99 insertions(+), 116 deletions(-)

commit d5b09c5b229e6789cd4c2c3818cd1ca68492f0fc
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu May 22 10:39:14 2025 +0200

    Build with QT_NO_KEYWORDS

 CMakeLists.txt                                |  1 +
 qt5/demos/navigationtoolbar.cpp               |  4 ++--
 qt5/src/poppler-annotation.cc                 | 12 ++++++------
 qt5/src/poppler-form.cc                       |  2 +-
 qt5/src/poppler-optcontent.cc                 |  4 ++--
 qt5/src/poppler-ps-converter.cc               |  4 ++--
 qt5/tests/check_actualtext.cpp                |  2 +-
 qt5/tests/check_annotations.cpp               |  2 +-
 qt5/tests/check_attachments.cpp               |  2 +-
 qt5/tests/check_dateConversion.cpp            |  2 +-
 qt5/tests/check_distinguished_name_parser.cpp |  2 +-
 qt5/tests/check_fonts.cpp                     |  2 +-
 qt5/tests/check_forms.cpp                     |  2 +-
 qt5/tests/check_goostring.cpp                 |  2 +-
 qt5/tests/check_internal_outline.cpp          |  2 +-
 qt5/tests/check_lexer.cpp                     |  2 +-
 qt5/tests/check_links.cpp                     |  2 +-
 qt5/tests/check_metadata.cpp                  |  2 +-
 qt5/tests/check_object.cpp                    |  2 +-
 qt5/tests/check_optcontent.cpp                |  2 +-
 qt5/tests/check_outline.cpp                   |  2 +-
 qt5/tests/check_overprint.cpp                 |  2 +-
 qt5/tests/check_pagelabelinfo.cpp             |  2 +-
 qt5/tests/check_pagelayout.cpp                |  2 +-
 qt5/tests/check_pagemode.cpp                  |  2 +-
 qt5/tests/check_password.cpp                  |  2 +-
 qt5/tests/check_permissions.cpp               |  2 +-
 qt5/tests/check_search.cpp                    |  2 +-
 qt5/tests/check_strings.cpp                   |  2 +-
 qt5/tests/check_stroke_opacity.cpp            |  2 +-
 qt5/tests/check_utf_conversion.cpp            |  2 +-
 qt5/tests/poppler-attachments.cpp             |  2 +-
 qt5/tests/poppler-fonts.cpp                   |  2 +-
 qt5/tests/poppler-forms.cpp                   |  2 +-
 qt5/tests/stress-poppler-dir.cpp              |  2 +-
 qt5/tests/stress-poppler-qt5.cpp              |  2 +-
 qt5/tests/stress-threads-qt5.cpp              |  6 +++---
 qt5/tests/test-password-qt5.cpp               |  2 +-
 qt5/tests/test-poppler-qt5.cpp                |  6 +++---
 qt6/demos/navigationtoolbar.cpp               |  4 ++--
 qt6/src/poppler-annotation.cc                 |  8 ++++----
 qt6/src/poppler-form.cc                       |  2 +-
 qt6/src/poppler-optcontent.cc                 |  4 ++--
 qt6/src/poppler-ps-converter.cc               |  4 ++--
 qt6/tests/check_actualtext.cpp                |  2 +-
 qt6/tests/check_annotations.cpp               |  2 +-
 qt6/tests/check_attachments.cpp               |  2 +-
 qt6/tests/check_dateConversion.cpp            |  2 +-
 qt6/tests/check_distinguished_name_parser.cpp |  2 +-
 qt6/tests/check_fonts.cpp                     |  2 +-
 qt6/tests/check_forms.cpp                     |  2 +-
 qt6/tests/check_goostring.cpp                 |  2 +-
 qt6/tests/check_internal_outline.cpp          |  2 +-
 qt6/tests/check_lexer.cpp                     |  2 +-
 qt6/tests/check_links.cpp                     |  2 +-
 qt6/tests/check_metadata.cpp                  |  2 +-
 qt6/tests/check_object.cpp                    |  2 +-
 qt6/tests/check_optcontent.cpp                |  2 +-
 qt6/tests/check_outline.cpp                   |  2 +-
 qt6/tests/check_overprint.cpp                 |  2 +-
 qt6/tests/check_pagelabelinfo.cpp             |  2 +-
 qt6/tests/check_pagelayout.cpp                |  2 +-
 qt6/tests/check_pagemode.cpp                  |  2 +-
 qt6/tests/check_password.cpp                  |  2 +-
 qt6/tests/check_permissions.cpp               |  2 +-
 qt6/tests/check_search.cpp                    |  2 +-
 qt6/tests/check_strings.cpp                   |  2 +-
 qt6/tests/check_stroke_opacity.cpp            |  2 +-
 qt6/tests/check_utf_conversion.cpp            |  2 +-
 qt6/tests/poppler-attachments.cpp             |  2 +-
 qt6/tests/poppler-fonts.cpp                   |  2 +-
 qt6/tests/stress-poppler-dir.cpp              |  2 +-
 qt6/tests/stress-poppler-qt6.cpp              |  2 +-
 qt6/tests/stress-threads-qt6.cpp              |  4 ++--
 qt6/tests/test-password-qt6.cpp               |  2 +-
 qt6/tests/test-poppler-qt6.cpp                |  2 +-
 76 files changed, 95 insertions(+), 94 deletions(-)

commit fdd84f0dabe933b4cfb9aa605d19089bc30e0b02
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed May 21 16:31:36 2025 +0200

    Build Qt frontends with QT_NO_CAST_FROM..

 CMakeLists.txt                     |  3 +++
 qt5/src/QPainterOutputDev.cc       |  2 +-
 qt5/src/poppler-embeddedfile.cc    |  2 +-
 qt5/src/poppler-form.cc            | 18 +++++++++---------
 qt5/src/poppler-link.cc            | 21 +++++++++++----------
 qt5/src/poppler-movie.cc           |  2 +-
 qt5/src/poppler-page.cc            |  4 ++--
 qt5/src/poppler-private.cc         |  8 ++++----
 qt5/src/poppler-private.h          |  6 +++---
 qt5/src/poppler-sound.cc           |  2 +-
 qt5/tests/check_actualtext.cpp     |  8 ++++----
 qt5/tests/check_annotations.cpp    | 10 +++++-----
 qt5/tests/check_attachments.cpp    | 14 +++++++-------
 qt5/tests/check_fonts.cpp          | 18 +++++++++---------
 qt5/tests/check_forms.cpp          | 14 +++++++-------
 qt5/tests/check_links.cpp          |  8 ++++----
 qt5/tests/check_metadata.cpp       | 32 ++++++++++++++++----------------
 qt5/tests/check_optcontent.cpp     |  8 ++++----
 qt5/tests/check_outline.cpp        |  2 +-
 qt5/tests/check_overprint.cpp      |  2 +-
 qt5/tests/check_pagelayout.cpp     |  6 +++---
 qt5/tests/check_pagemode.cpp       | 10 +++++-----
 qt5/tests/check_permissions.cpp    |  2 +-
 qt5/tests/check_search.cpp         | 16 ++++++++--------
 qt5/tests/check_stroke_opacity.cpp |  2 +-
 qt5/tests/poppler-attachments.cpp  |  2 +-
 qt5/tests/poppler-fonts.cpp        |  2 +-
 qt5/tests/poppler-forms.cpp        |  2 +-
 qt5/tests/poppler-page-labels.cpp  |  2 +-
 qt5/tests/poppler-texts.cpp        |  2 +-
 qt5/tests/stress-poppler-dir.cpp   |  4 ++--
 qt5/tests/test-password-qt5.cpp    |  2 +-
 qt6/src/QPainterOutputDev.cc       |  2 +-
 qt6/src/poppler-embeddedfile.cc    |  2 +-
 qt6/src/poppler-form.cc            | 18 +++++++++---------
 qt6/src/poppler-link.cc            | 21 +++++++++++----------
 qt6/src/poppler-movie.cc           |  2 +-
 qt6/src/poppler-page.cc            |  4 ++--
 qt6/src/poppler-private.h          |  6 +++---
 qt6/src/poppler-sound.cc           |  2 +-
 qt6/tests/check_actualtext.cpp     |  8 ++++----
 qt6/tests/check_annotations.cpp    | 10 +++++-----
 qt6/tests/check_attachments.cpp    | 14 +++++++-------
 qt6/tests/check_fonts.cpp          | 18 +++++++++---------
 qt6/tests/check_forms.cpp          | 14 +++++++-------
 qt6/tests/check_links.cpp          |  8 ++++----
 qt6/tests/check_metadata.cpp       | 32 ++++++++++++++++----------------
 qt6/tests/check_optcontent.cpp     |  8 ++++----
 qt6/tests/check_outline.cpp        |  2 +-
 qt6/tests/check_overprint.cpp      |  2 +-
 qt6/tests/check_pagelayout.cpp     |  6 +++---
 qt6/tests/check_pagemode.cpp       | 10 +++++-----
 qt6/tests/check_permissions.cpp    |  2 +-
 qt6/tests/check_search.cpp         | 16 ++++++++--------
 qt6/tests/check_stroke_opacity.cpp |  2 +-
 qt6/tests/poppler-attachments.cpp  |  2 +-
 qt6/tests/poppler-fonts.cpp        |  2 +-
 qt6/tests/poppler-forms.cpp        |  2 +-
 qt6/tests/poppler-page-labels.cpp  |  2 +-
 qt6/tests/poppler-texts.cpp        |  2 +-
 qt6/tests/stress-poppler-dir.cpp   |  4 ++--
 qt6/tests/test-password-qt6.cpp    |  2 +-
 62 files changed, 233 insertions(+), 228 deletions(-)

commit 0a74548ecadd350ce6234ffbde73ccb6113f65fa
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue May 20 22:53:26 2025 +0000

    Test creation and verification of GnuPG pgp signatures

 qt6/tests/CMakeLists.txt                  |   5 +
 qt6/tests/check_create_pgp_signature1.cpp | 152
 ++++++++++++++++++++++++++++++
 2 files changed, 157 insertions(+)

commit 92d1e757e33638b351165bb4b220d18c940c6c22
Author: Juraj Šarinay <juraj@sarinay.com>
Date:   Tue Jan 21 08:40:12 2025 +0100

    Do not add a second copy of signer's certificate to CMS SignedData.

    Signer's certificate is included in the chain we add as a result of
    NSS_CMSSignerInfo_IncludeCerts(). There is no need to call
    NSS_CMSSignedData_AddCertificate().

 poppler/NSSCryptoSignBackend.cc | 4 ----
 1 file changed, 4 deletions(-)

commit 1d34d8d50bc1c2c29aa802005129f11b6bf41dd0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 15 23:34:37 2025 +0200

    Revert "CI: Debian has gnupg 2.4 now"

    This reverts commit 2228a610c149f696afa8bfdd9e18a81cecfba0c4.

    It seems they are doing too much distro patching to the level
    it breaks
    our tests

 .gitlab-ci.yml            |  3 ++-
 do-the-gnupg-2.4-dance.sh | 51
 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 659821813e1f59fde08420e2d242c3156fd60e94
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 14 17:05:24 2025 +0200

    DCTStream::reset: Fix crash

 poppler/DCTStream.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 27ca91b67cca328fc6602969132c64ac5acf82ec
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 14 16:04:08 2025 +0200

    Update (C)

 poppler/Annot.cc | 1 +
 poppler/Annot.h  | 2 +-
 poppler/Form.cc  | 2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 9dda4d7521be5c7a04f9b4281b48498681b88d84
Author: Juraj Šarinay <juraj@sarinay.com>
Date:   Tue Feb 18 12:00:20 2025 +0100

    Clean up generation and update of signature appearance streams.

    Remove unnecessary calls to
    FormWidgetSignature::updateWidgetAppearance()
    and/or AnnotWidget::updateAppearanceStream(). The single call from
    FormWidgetSignature::signDocument() is sufficient.

    Lift updatedAppearanceStream from AnnotWidget/AnnotStamp to Annot
    to prevent
    AnnotWidget::updateAppearanceStream() from copying the content
    stream added
    earlier within AnnotWidget::setNewAppearance() called
    by AnnotWidget::generateFieldAppearance().

 poppler/Annot.cc  | 9 ++-------
 poppler/Annot.h   | 5 ++---
 poppler/Form.cc   | 1 -
 poppler/PDFDoc.cc | 3 ---
 4 files changed, 4 insertions(+), 14 deletions(-)

commit 0bbfa91f2489bfaacf10fb17721b8634b1c2bcd9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 4 19:20:37 2025 +0200

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 6dd9782d8391f112ef9743ba13614f1d858ce9f2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 4 19:14:49 2025 +0200

    poppler 25.05.0

 CMakeLists.txt   |  6 +++---
 NEWS             | 13 +++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 19 insertions(+), 6 deletions(-)

commit d589f1b08405db28cd7f2902ee74c71f7d80d9b6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 2 23:57:09 2025 +0200

    Update (C)

 poppler/CairoFontEngine.cc | 1 +
 1 file changed, 1 insertion(+)

commit 4c6acf846c615c73144816308ce43a56d577ef9e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 1 00:56:15 2025 +0200

    Update (C)

 glib/demo/signature.c | 1 +
 1 file changed, 1 insertion(+)

commit ee3d4f0cdc2a75abfcc91b3aa3614b84d533b380
Author: Marco Trevisan <mail@3v1n0.net>
Date:   Wed Apr 30 22:50:48 2025 +0000

    glib/poppler-document: Copy the signing data during verification

    Signature verification data is passed to a thread and not stolen from
    the caller (as it's transfer-none and const), so we're supposed to
    copy it when passed to the thread and free'd at thread return time.

 glib/demo/signature.c    | 1 +
 glib/poppler-document.cc | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit d70fc94f7003bf3c3c08091f9c978def6732fdcd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 1 00:29:50 2025 +0200

    Update (C)

 glib/poppler-document.cc                    | 1 +
 glib/poppler-input-stream.cc                | 1 +
 glib/poppler-input-stream.h                 | 1 +
 poppler/Lexer.h                             | 1 +
 poppler/Page.cc                             | 2 +-
 poppler/Parser.h                            | 1 +
 qt5/src/poppler-qiodeviceinstream-private.h | 1 +
 qt5/src/poppler-qiodeviceinstream.cc        | 1 +
 qt6/src/poppler-qiodeviceinstream-private.h | 1 +
 qt6/src/poppler-qiodeviceinstream.cc        | 1 +
 10 files changed, 10 insertions(+), 1 deletion(-)

commit c3b2c097ac0a38db0671bd4d78a917d5b9892da4
Author: Marco Trevisan <mail@3v1n0.net>
Date:   Wed Apr 30 22:36:27 2025 +0000

    glib/poppler-document: Do not crash if required signature data
    parameters are unset and support text-less signatures

    It's perfectly legal to sign without a visible text signature as
    `pdfsig` does, but the GLib bindings didn't allow it or they crashed
    when some optional parameter were provided.

    So:

    * Do not crash if signature text left data is unset
    * Do not require a signature text at all
    * Throw an error if the partial name is unset (instead of crashing)
    * Throw an error if the destination filename is unset (instead
    of crashing)

 glib/poppler-document.cc | 41 ++++++++++++++++++++++++++++++-----------
 1 file changed, 30 insertions(+), 11 deletions(-)

commit ec2e01af4524fefe7e86fba32c2f39714fd32bf9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Apr 30 07:17:57 2025 +0000

    Object takes ownership of stream. Document it in code

 glib/poppler-input-stream.cc                |  4 ++--
 glib/poppler-input-stream.h                 |  2 +-
 poppler/Annot.cc                            | 14 +++++++-------
 poppler/AnnotStampImageHelper.cc            |  4 ++--
 poppler/FileSpec.cc                         |  5 ++---
 poppler/GlobalParamsWin.cc                  |  2 +-
 poppler/Hints.cc                            |  4 ++--
 poppler/Lexer.cc                            |  4 ++--
 poppler/Lexer.h                             |  2 +-
 poppler/Object.h                            |  6 ++++--
 poppler/PDFDoc.cc                           |  4 ++--
 poppler/Parser.cc                           |  6 +++---
 poppler/Parser.h                            |  2 +-
 poppler/Stream.cc                           | 10 +++++-----
 poppler/Stream.h                            | 12 ++++++------
 poppler/XRef.cc                             | 26
 +++++++++++++++-----------
 qt5/src/poppler-qiodeviceinstream-private.h |  2 +-
 qt5/src/poppler-qiodeviceinstream.cc        |  4 ++--
 qt5/tests/check_lexer.cpp                   |  4 ++--
 qt6/src/poppler-qiodeviceinstream-private.h |  2 +-
 qt6/src/poppler-qiodeviceinstream.cc        |  4 ++--
 qt6/tests/check_lexer.cpp                   |  4 ++--
 22 files changed, 66 insertions(+), 61 deletions(-)

commit 27ad1af7fae4909e270d7ae59bcdcb3789b7b3e0
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Tue Jan 14 02:46:09 2025 +0000

    Fix drawing checkbox fields without a DA entry

    Spec says DA entry is required "to all fields
    containing variable text" but it seems checkbox
    fields are de-facto not considered as such.

    Handle that in AnnotAppearanceBuilder::drawText()

    Fixes #1055 (when used together with the fix in #642)

 poppler/Annot.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit b6474b3f748138b8edcdc3f48ad9121ea709019f
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sun Jan 12 00:22:44 2025 +0000

    Handle when /AP /N is a Ref to Dict of named streams

    When the Normal Appearance Stream (/AP -> /N) is a Ref,
    we previously assumed it could only be a Ref to Stream,
    but it can also be a Ref to Dict of named streams, so we
    need to add that logic in AnnotAppearance::getAppearanceStream()

    Fixes checkbox field in below referenced issue.

    Fixes #1558

 poppler/Annot.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 70fc778a38a93d7b45d59b027e5928a33c19e3fd
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sun Jan 12 00:19:55 2025 +0000

    Fix setting the AnnotWidget of standalone fields

    When loading standalone Formfields, we were wrongly
    creating new AnnotWidgets to fill its FormWidget member,
    whereas we just needed to set it to the own AnnotWidget
    that contains the standalone field.

    That meant that when clicking on standalone checkbox
    fields we were really clicking on AnnotWidgets that
    were not the ones used for drawing the page.

    With this fix those checkboxes now work ok.

    Fixes #642
    Improves #1055

 poppler/Page.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 3cfd340a751ff02f505b18b2b0b52202b46830e9
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Fri Apr 25 15:28:20 2025 +0100

    CairoFontEngine: remove unused code

    Spotted by Anton Thomasson

 poppler/CairoFontEngine.cc | 2 --
 1 file changed, 2 deletions(-)

commit 5149590a58f325e71d811bdecc4b8cc26a3189fd
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Fri Apr 25 15:23:01 2025 +0100

    CairoFontEngine: invalidate broken embedded fonts

    When unable to create a font face from data read
    from gfxFont->readEmbFontFile() it means such
    data is broken (errors are also printed to console)
    so mark such gfxFont as containing INVALID embedded
    data, otherwise it will end up being use to draw
    text and failed at that, like shown in issue #1453

    SplashOutputDev (which does not exhibit this bug)
    does a similar thing in SplashOutputDev::doUpdateFont()

    Fixes #1453

 poppler/CairoFontEngine.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 5e54d95c6d569bfa048544fbc05be99399c66430
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 26 13:09:05 2025 +0200

    Update (C)

 poppler/Array.cc | 1 +
 poppler/Dict.cc  | 1 +
 2 files changed, 2 insertions(+)

commit 5c79deb3dcc6c11f438a43957ce2f551b73728f3
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Apr 25 15:18:11 2025 +0200

    Use named constructors for empty objects

    null, eof and error objects are the only ones where we actually
    need to
    create them completely empty. Do them with named constructors and move
    the empty-object-with-type to private section to avoid creating
    them by
    accident

 cpp/poppler-document.cpp     |  4 ++--
 glib/poppler-document.cc     | 12 ++++++------
 poppler/Annot.cc             | 18 +++++++++---------
 poppler/Array.cc             |  6 +++---
 poppler/Catalog.cc           |  2 +-
 poppler/CurlPDFDocBuilder.cc |  2 +-
 poppler/Dict.cc              | 10 +++++-----
 poppler/FDPDFDocBuilder.cc   |  2 +-
 poppler/Form.cc              |  4 ++--
 poppler/Gfx.cc               | 12 ++++++------
 poppler/GfxFont.cc           |  4 ++--
 poppler/GlobalParamsWin.cc   |  2 +-
 poppler/Hints.cc             |  6 +++---
 poppler/Lexer.cc             | 14 +++++++-------
 poppler/Linearization.cc     |  2 +-
 poppler/Object.h             | 31 +++++++++++++++++--------------
 poppler/PDFDoc.cc            |  8 ++++----
 poppler/PSOutputDev.cc       |  2 +-
 poppler/Parser.cc            |  8 ++++----
 poppler/XRef.cc              | 33 ++++++++++++++++++---------------
 qt5/src/poppler-private.h    |  4 ++--
 qt5/tests/check_lexer.cpp    |  2 +-
 qt6/src/poppler-private.h    |  4 ++--
 qt6/tests/check_lexer.cpp    |  2 +-
 24 files changed, 100 insertions(+), 94 deletions(-)

commit 2228a610c149f696afa8bfdd9e18a81cecfba0c4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 25 16:03:39 2025 +0200

    CI: Debian has gnupg 2.4 now

 .gitlab-ci.yml            |  3 +--
 do-the-gnupg-2.4-dance.sh | 51
 -----------------------------------------------
 2 files changed, 1 insertion(+), 53 deletions(-)

commit 080adb815e8cdecccdf574d84816788e50218f50
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Mar 7 23:32:44 2025 +0100

    CI: Fedora 42

 .gitlab-ci.yml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 95b077dbd2458e5eae95752072f0991979175721
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 13 01:13:14 2025 +0200

    Update (C)

 splash/Splash.cc             | 2 +-
 splash/SplashXPath.cc        | 1 +
 splash/SplashXPath.h         | 1 +
 splash/SplashXPathScanner.cc | 2 +-
 splash/SplashXPathScanner.h  | 2 +-
 5 files changed, 5 insertions(+), 3 deletions(-)

commit b98c5b15851ccaef35b14ad344ad0e3bdc6ce627
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Feb 5 22:59:32 2025 +0100

    [SplashXPath] Reuse auxiliary curve point arrays

    Allocate the data on first use, reuse it for all curved segments of
    a path, and discard it afterwards.

    CCBUG: #1555

 splash/SplashXPath.cc | 15 ++++++++-------
 splash/SplashXPath.h  | 10 ++++++++++
 2 files changed, 18 insertions(+), 7 deletions(-)

commit 4a3b26dbec940ed0418b513d874fdcaeb2aab6ad
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Feb 5 22:55:58 2025 +0100

    [SplashXPath] Reserve space for segments

 splash/SplashXPath.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 795984a2bf472722ec8034d7c17e3503c83ea740
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Feb 5 17:35:43 2025 +0100

    [SplashPath] Reserve segments before flattening/stroking

    For longer paths, reallocation can take up a significant amount
    of time.
    A fairly good estimate can be made from the input path length.

    For flattening, twice the input length is used to accomodate for added
    curve segments.

    For stroking, each segment create two new segments, (at least) two
    segments for the path caps, and some segments for each rounded
    line joins.

    CCBUG: #1555

 splash/Splash.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit e66ea9310a4aae0d39a4acdf01b05b9f6278b6ba
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue Feb 4 22:54:21 2025 +0100

    [SplashXPathScanner] Some more variable scope cleanup

 splash/SplashXPathScanner.cc | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

commit 5e96deb799df8bc852841683b688969f26271ed6
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Feb 3 21:58:57 2025 +0100

    [SplashXPathScanner] Remove unused return value in addIntersection

    CCBUG: #1555

 splash/SplashXPathScanner.cc | 16 ++++------------
 splash/SplashXPathScanner.h  |  2 +-
 2 files changed, 5 insertions(+), 13 deletions(-)

commit 71f5f49ff35e80fcd6e6a355076153ddc438871b
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Feb 5 21:39:34 2025 +0100

    [Splash] Reduce required work for path pruning

    For long path, quite some amount of work is spent if the bounding box
    of all points intersects with the clipping rectangle, and if there
    is some intersection the path is processed further.

    For this check, it is often sufficient to only check one, or two
    points.
    Only if both points are outside (which is often false) the remaining
    points should be checked.

    CCBUG: #1555

 splash/Splash.cc | 103
 ++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 63 insertions(+), 40 deletions(-)

commit 92e228a54641d11a5b69e593d4d34ccc14827d0f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 9 23:03:29 2025 +0200

    CI: Also build with non default options

 .gitlab-ci.yml | 3 +++
 1 file changed, 3 insertions(+)

commit fef9e7134334d2f666c3be15f2783f3a70fd305b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 9 22:56:23 2025 +0200

    Fix signature of FlateStream::getPSFilter

 poppler/FlateStream.cc | 17 +++++++++--------
 poppler/FlateStream.h  |  2 +-
 2 files changed, 10 insertions(+), 9 deletions(-)

commit aa5519d2e1e2cb00640e109e59db220e927a6836
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 8 01:29:38 2025 +0200

    Fix re-fetching after xref reconstruction

    Fixes #1584

 poppler/XRef.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 2a3135888b6079f0a9fd6410ff65351482087b50
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 2 00:33:13 2025 +0200

    Increase version so people that track master can add ifdefs on version

 CMakeLists.txt   | 2 +-
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit a0f064e8393d0f9dc62d630f08d2c961b37c5a27
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 2 00:26:27 2025 +0200

    poppler 25.04.0

 CMakeLists.txt     |  6 +++---
 NEWS               | 21 +++++++++++++++++++++
 cpp/CMakeLists.txt |  2 +-
 cpp/Doxyfile       |  2 +-
 qt5/src/Doxyfile   |  2 +-
 qt6/src/Doxyfile   |  2 +-
 6 files changed, 28 insertions(+), 7 deletions(-)

commit f1b9c830f145a0042e853d6462b2f9ca4016c669
Author: Juraj Šarinay <juraj@sarinay.com>
Date:   Thu Mar 6 02:02:56 2025 +0100

    Properly verify adbe.pkcs7.sha1 signatures.

    For signatures with non-empty encapsulated content
    (typically adbe.pkcs7.sha1), we only compared hash values and
    never actually checked SignatureValue within SignerInfo.
    The bug introduced by c7c0207b1cfe49a4353d6cda93dbebef4508138f
    made trivial signature forgeries possible. Fix this by calling
    NSS_CMSSignerInfo_Verify() after the hash values compare equal.

 poppler/NSSCryptoSignBackend.cc | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 6756ae00544e7370e2f5c4d153c28450d768fd41
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 31 20:22:35 2025 +0200

    Update (C)

 cpp/poppler-document.cpp | 1 +
 cpp/poppler-document.h   | 1 +
 poppler/Stream.cc        | 1 +
 3 files changed, 3 insertions(+)

commit 1f151565bbca5be7449ba8eea6833051cc1baa41
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 31 14:35:49 2025 +0200

    Move isOk check to inside JBIG2Bitmap::combine

 poppler/JBIG2Stream.cc | 9 +++++----
[--snip--]
